Bug 1619445 - grub2 2.02-50.fc29 is completly broken
Summary: grub2 2.02-50.fc29 is completly broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 20:35 UTC by Harald Reindl
Modified: 2018-09-21 05:33 UTC (History)
3 users (show)

Fixed In Version: grub2-2.02-58.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:33:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2018-08-20 20:35:59 UTC
besides that afer "grub2-install /dev/sda" the test-vm upgraded to F29-devel don't boot at all the dependencies are wrong or why is /usr/bin/pkexec not on the system (no idea which package should contain it)

and why does it bail at all after mask "grub-boot-success.service"

[root@rawhide ~]# systemctl status grub-boot-success.service
● grub-boot-success.service
   Loaded: masked (Reason: Unit grub-boot-success.service is masked.)
   Active: inactive (dead)

Aug 20 22:32:46 rawhide systemd[628]: Starting Mark boot as successful...
Aug 20 22:32:46 rawhide systemd[808]: grub-boot-success.service: Failed to execute command: No such file or directory
Aug 20 22:32:46 rawhide systemd[808]: grub-boot-success.service: Failed at step EXEC spawning /usr/bin/pkexec: No such file or directory
Aug 20 22:32:46 rawhide systemd[628]: grub-boot-success.service: Main process exited, code=exited, status=203/EXEC
Aug 20 22:32:46 rawhide systemd[628]: grub-boot-success.service: Failed with result 'exit-code'.
Aug 20 22:32:46 rawhide systemd[628]: Failed to start Mark boot as successful.

Comment 1 Hans de Goede 2018-09-02 15:44:57 UTC
Hi,

It looks like you are describing 2 different issues in a single bug:

1) Updating your grub in the bootsector to grub2 2.02-50.fc29 through grub2-mkinstall leads to an unbootable system, this matches with the Summary text you are using for this bug

2) A set of errors reported in systemctl status / journalctl for the new
grub-boot-success.service fil, when the pkexec binary is not availble.

I can help with the second issue, but not the first. Please file a new bug for the second issue so that this can be tracked separately.

Regards,

Hans

Comment 2 Harald Reindl 2018-09-02 20:26:59 UTC
that "file a new bug for xyz" attitude all the time simply annoys me

i have upgraded a small test-vm, found out grub2 is completly broken and i am not more interested in Fedora 29 at all at this point of time where i need to prepare infractructure for F28 upgrade and have a ton of other work too

Comment 3 Harald Reindl 2018-09-02 20:29:10 UTC
and to make it clear: all that "we hide everyting from users" in general annoys me for many years especially when it leads to more useless complexity like this case "hide the boot menu so no noew users ever will learn that for small issues they can just boot the old kernel"

the only reason i know many things on a recent Fedora system is that i am long enough here to had the chance face them

Comment 4 Hans de Goede 2018-09-03 11:15:35 UTC
(In reply to Harald Reindl from comment #2)
> that "file a new bug for xyz" attitude all the time simply annoys me

Bugzilla is a bug-tracker, which is intended to help us track bugs/issues, proper tracking is really only possible if there is only 1 bug/issue per bugzilla-bug.

As developers we often have to track dozens of issues at the same time, having multiple issues in a single bug really is just not workable. So when we ask you to file a separate bug for a separate issue we are doing so for good reasons and not just for the fun of it.

As for the grub-boot-success.service errors these should be fixed once this pull-req makes it into an upcoming grub2 build:
https://github.com/rhboot/grub2/pull/31

Comment 5 Fedora Update System 2018-09-12 14:56:36 UTC
grub2-2.02-58.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8b9386151

Comment 6 Fedora Update System 2018-09-13 05:36:27 UTC
grub2-2.02-58.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8b9386151

Comment 7 Fedora Update System 2018-09-21 05:33:12 UTC
grub2-2.02-58.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.